For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • GETPreview Resignation Letter
      • POSTRequest contract resignation
      • GETRetrieve worker resignations
      • POSTSign Resignation Letter
      • POSTSubmit EOR Worker Resignation
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsEor Worker Offboarding

Sign Resignation Letter

POST
/eor/workers/contracts/:contract_id/offboarding/resignation-letter/sign
POST
/rest/v2/eor/workers/contracts/:contract_id/offboarding/resignation-letter/sign
$curl -X POST https://api.letsdeel.com/rest/v2/eor/workers/contracts/abcd4fg/offboarding/resignation-letter/sign \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {}
>}'
1{
2 "data": {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "end_date": "2025-01-31T00:00:00.000Z",
5 "documents": {
6 "supporting": [
7 {
8 "id": "cmddlk1ghehm54l18gejg198r",
9 "name": "Supporting Documentation",
10 "type": "pdf",
11 "created_at": "2025-07-21T21:07:27.713Z",
12 "updated_at": "2025-07-21T21:07:27.713Z",
13 "is_additional_supporting_document": false
14 }
15 ],
16 "offboarding": [
17 {
18 "files": [
19 {
20 "id": "cmdeh9wzgvihue4r54n2y51p4",
21 "name": "Employee Sign Off Documents",
22 "type": "pdf",
23 "created_at": "2025-07-22T11:55:23.068Z",
24 "updated_at": "2025-07-22T11:55:23.068Z"
25 }
26 ],
27 "status": "AWAITING_REVIEW",
28 "reviewer_type": "EMPLOYEE",
29 "is_employee_notification_required": true,
30 "id": "123e4567-e89b-12d3-a456-426614174000",
31 "created_at": "2025-07-22T11:55:23.068Z",
32 "updated_at": "2025-07-22T11:55:23.068Z",
33 "reviewed_at": "2025-07-22T12:30:00.000Z",
34 "reviewed_by": "John Doe",
35 "reviewer_feedback": "Document needs clarification on section 3",
36 "notification_instructions": "<p>Please review and provide feedback on the attached documents.</p>"
37 }
38 ],
39 "resignation_letter": {
40 "id": "123e4567-e89b-12d3-a456-426614174000",
41 "signature": "John Doe",
42 "signed_at": "2025-01-31T00:00:00.000Z",
43 "created_at": "2025-01-31T00:00:00.000Z",
44 "updated_at": "2025-01-31T00:00:00.000Z"
45 }
46 },
47 "created_at": "2025-01-31T00:00:00.000Z",
48 "updated_at": "2025-01-31T00:00:00.000Z",
49 "contract_id": "5B74FnLM",
50 "is_sensitive": false,
51 "request_data": {
52 "reason": "PERFORMANCE",
53 "end_date": "2025-01-31T00:00:00.000Z",
54 "reason_detail": "Employee is moving to another country",
55 "used_time_off": {
56 "time_offs": [
57 {
58 "unit": "BUSINESS_DAY",
59 "policy_type": "Vacation",
60 "tracking_periods": [
61 {
62 "used": 0,
63 "end_date": "2025-02-28T00:00:00.000Z",
64 "start_date": "2024-03-01T00:00:00.000Z"
65 },
66 {
67 "used": 0,
68 "end_date": "2024-02-29T00:00:00.000Z",
69 "start_date": "2023-03-01T00:00:00.000Z"
70 },
71 {
72 "used": 0,
73 "end_date": "2023-02-28T00:00:00.000Z",
74 "start_date": "2022-03-01T00:00:00.000Z"
75 }
76 ],
77 "scheduled_until_end_date": 0
78 }
79 ],
80 "is_deel_pto_confirmed": true,
81 "additional_details": null
82 },
83 "desired_end_date": "2025-01-31",
84 "eligible_for_rehire": "DONT_KNOW",
85 "eligible_for_rehire_reason": "Employee is not eligible for rehire due to performance issues"
86 },
87 "desired_end_date": "2025-01-31T00:00:00.000Z"
88 }
89}

Records the worker’s signature on the resignation letter for the contract, which is required to finalize the resignation process; upon successful submission, the signed letter is queued for PDF generation and further processing. Token scopes: worker:write

Was this page helpful?
Previous

Submit EOR Worker Resignation

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
The unique identifier of the employee contract.

Request

This endpoint expects an object.
dataobjectRequired

Response

Resignation signed successfully.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication